%define name	avview
%define version	0.80.3
%define release	7mdk

Summary:	ATI audio/video viewer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-gcc-3.4.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://gatos.sourceforge.net/avview.php
BuildRequires:	tcl tk XFree86-devel zvbi-devel ffmpeg-devel alsa-lib-devel
Requires:	ffmpeg tcl tk
Source1:	avview-16.png
Source2:	avview-32.png

%description
AVview is a Tcl/Tk extension which provides interface to Audio/Video devices on
Linux. The goal is to have an efficient Audio/Video processing engine which is
controlled by Tcl/Tk interface.

%prep
%setup -q
%patch -p1

%build
export CPPFLAGS="-I/usr/include/ffmpeg"
%configure --with-alsa --with-ffmpeg=/usr/lib

%make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
%makeinstall_std

# menu
cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF 
?package(%{name}): needs="x11" section="Multimedia/Video" title="AVview" longtitle="ATI audio/video viewer" command="%{_bindir}/start_avview" icon="avview.png"
EOF

mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_miconsdir}/%name.png
install -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_iconsdir}/%name.png
install -m 644 %{name}-48x48.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTALL AUTHORS COPYING
%{_bindir}/*
%{_datadir}/AVview
%{_menudir}/%{name}
%{_miconsdir}/*
%{_liconsdir}/*
%{_iconsdir}/*

%changelog
* Sun Jul 04 2004 Spencer Anderson <sdander@oberon.ark.com> 0.80.3-7mdk
- P0 to build with new gcc
- requires tcl/tk

* Sat May 29 2004 Spencer Anderson <sdander@oberon.ark.com> 0.80.3-6mdk
- rebuild against newer tk/tcl

* Sun Feb 1 2004 Franck Villaume <fvill@freesurf.fr> 0.80.3-5mdk
- buildrequires
- once again : reenable ffmpeg but correctly... I hope

* Thu Jan 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.80.3-4mdk
- use system wide ffmpeg
- fix group

* Sun Jan 25 2004 Spencer Anderson <sdander@oberon.ark.com> 0.80.3-3mdk
- buildrequires ffmpeg-devel

* Sat Jan 24 2004 Spencer Anderson <sdander@oberon.ark.com> 0.80.3-2mdk
- reenable ffmpeg support
- remove requires for ati.2 ( for now )
- change group to new menu structure
- remove explicit libs

* Fri Jan 16 2004 Spencer Anderson <sdander@oberon.ark.com> 0.80.3-1mdk
- 0.80.3

* Mon Aug 18 2003 Austin Acton <aacton@yorku.ca> 0.12.0-1mdk
- DIRM
- buildrequires ffmpeg-devel
- from Spencer Anderson <sdander@oberon.ark.com> :
  - 0.12.0

* Sat Apr 12 2003 Austin Acton <aacton@yorku.ca> 0.11.12-1mdk
- from Spencer Anderson <sdander@oberon.ark.com>
  - new version
  - build for new tcl/tk
  - enable ffmpeg and alsa support

* Thu Mar 6 2003 Austin Acton <aacton@yorku.ca> 0.10.8-2mdk
- requires ati.2

* Sun Feb 16 2003 Austin Acton <aacton@yorku.ca> 0.10.8-1mdk
- from Spencer Anderson <sdander@oberon.ark.com>
- First mdk release
- Make menu entry
- Fix icons

